# Obsidian Excel to Markdown Table

[![Tag 0.2.1](https://img.shields.io/badge/tag-0.2.1-blue)](https://github.com/ganesshkumar/obsidian-excel-to-markdown-table/releases/tag/0.2.1) 
[![MIT License](https://img.shields.io/github/license/ganesshkumar/obsidian-excel-to-markdown-table)](LICENSE)

An Obsidian plugin to paste data from Microsoft Excel, Google Sheets, Apple Numbers and LibreOffice Calc as Markdown tables in Obsidian editor.

## Demo

You can paste the copied data in the clipboard by one of the following methods.

| # | Name | Method | Notes |
|---|------|--------|-------|
|1| Pasting |`Ctrl/Cmd + V` | will paste only table with two or more columns |
|2| Hotkey |`Crtl/Cmd + Alt + V` | will paste table with one column as well <br/> reassign the Hotkey from settings if needed |
|3| Command Palette |`Ctrl/Cmd + P` > `Excel to Markdown` | will paste table with one column as well |

![Obsidian Excel to Markdown Table](https://user-images.githubusercontent.com/2135089/153027044-d1b91515-d5ea-4624-ace1-654c4ceccdc1.gif)

## Installation

### From Obsidian 

1. Open `Settings` > `Third-party plugin`
2. Make sure Safe mode is **off**
3. Click `Browse community plugins`
4. Search for this plugin
5. Click `Install`
6. Once installed, enable this plugin and close the community plugins window and the plugin is ready to use.

### From GitHub

1. Download the Latest Release from the Releases section of the GitHub Repository
2. Put files to your vault's plugins folder: `<vault>/.obsidian/plugins/obsidian-excel-to-markdown-table`  
3. Reload Obsidian
4. If prompted about Safe Mode, you can disable safe mode and enable the plugin.  
    Otherwise, head to Settings, third-party plugins, make sure safe mode is off and enable the plugin from there.

> Note: The `.obsidian` folder may be hidden. On macOS, you should be able to press `Command+Shift+Dot` to show the folder in Finder.


## License
[MIT](LICENSE)

## Acknowledgements

 - [vscode-excel-to-markdown-table](https://github.com/csholmq/vscode-excel-to-markdown-table)
 - [copy-excel-paste-markdown](https://github.com/thisdavej/copy-excel-paste-markdown)

---

If you like my work, you could consider buying me a coffee. It is unnecessary, but appreciated 🙂

<a href="https://www.buymeacoffee.com/ganesshkumar" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="Buy Me A Coffee" style="height: 60px !important;width: 217px !important;" ></a>
